// Generated by gencpp from file pick_and_delivery/OccupiedBool.msg
// DO NOT EDIT!


#ifndef PICK_AND_DELIVERY_MESSAGE_OCCUPIEDBOOL_H
#define PICK_AND_DELIVERY_MESSAGE_OCCUPIEDBOOL_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace pick_and_delivery
{
template <class ContainerAllocator>
struct OccupiedBool_
{
  typedef OccupiedBool_<ContainerAllocator> Type;

  OccupiedBool_()
    : occupied(false)  {
    }
  OccupiedBool_(const ContainerAllocator& _alloc)
    : occupied(false)  {
  (void)_alloc;
    }



   typedef uint8_t _occupied_type;
  _occupied_type occupied;





  typedef boost::shared_ptr< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> const> ConstPtr;

}; // struct OccupiedBool_

typedef ::pick_and_delivery::OccupiedBool_<std::allocator<void> > OccupiedBool;

typedef boost::shared_ptr< ::pick_and_delivery::OccupiedBool > OccupiedBoolPtr;
typedef boost::shared_ptr< ::pick_and_delivery::OccupiedBool const> OccupiedBoolConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::pick_and_delivery::OccupiedBool_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::pick_and_delivery::OccupiedBool_<ContainerAllocator1> & lhs, const ::pick_and_delivery::OccupiedBool_<ContainerAllocator2> & rhs)
{
  return lhs.occupied == rhs.occupied;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::pick_and_delivery::OccupiedBool_<ContainerAllocator1> & lhs, const ::pick_and_delivery::OccupiedBool_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace pick_and_delivery

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> >
{
  static const char* value()
  {
    return "44d7026c7dcc8daf286cc35a49a8f442";
  }

  static const char* value(const ::pick_and_delivery::OccupiedBool_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x44d7026c7dcc8dafULL;
  static const uint64_t static_value2 = 0x286cc35a49a8f442ULL;
};

template<class ContainerAllocator>
struct DataType< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> >
{
  static const char* value()
  {
    return "pick_and_delivery/OccupiedBool";
  }

  static const char* value(const ::pick_and_delivery::OccupiedBool_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> >
{
  static const char* value()
  {
    return "bool occupied\n"
;
  }

  static const char* value(const ::pick_and_delivery::OccupiedBool_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.occupied);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct OccupiedBool_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::pick_and_delivery::OccupiedBool_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::pick_and_delivery::OccupiedBool_<ContainerAllocator>& v)
  {
    s << indent << "occupied: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.occupied);
  }
};

} // namespace message_operations
} // namespace ros

#endif // PICK_AND_DELIVERY_MESSAGE_OCCUPIEDBOOL_H
